using System;
using System.Collections.Generic;

namespace schedulable
{
    public class ProcessionLine
    {
        public string description { get; set; }
        public string type { get; set; } = "generic"; //TODO: experiment with $type, apparnetly newtonsoft json can use that to choose deserialization?
        public ProcessionLine() { type = GetType().ToString(); }
    }
    public class manual : ProcessionLine { }
    public class command : ProcessionLine
    {
        public string cmd { get; set; }
        public IEnumerable<string> args { get; set; }
    }
    public class container : ProcessionLine
    {
        public IEnumerable<ProcessionLine> subitems { get; set; }
    }
    public class awaitShowtime : ProcessionLine { }
    public class awaitCutSignal : ProcessionLine { }
}